{% import "macro/form.twig" as form %}
<div class="container-fluid form-group">

	{% if show.objective %}
		<form method="post">
			{{form.hidden("page","objective")}}
			<button class="btn btn-primary fr">Objective</button>
		</form>
	{% endif %}
	{% if show.subjective %}
		<form method="post">
			{{form.hidden("page","subjective")}}
			<button class="btn btn-primary fr">Subjective</button>
		</form>
	{% endif %}
	<h2>Marking Scheme</h2>
	<hr>
	{% import "macro/form.twig" as form %}
	{% if page == "subjective" %}
		<h2>Subjective</h2>
		<hr>
		{% if subjective.section =="" %}
			<form method="post">
				<div class="row">
					<div class="form-group col-md-12">
						{{form.hidden("page","subjective")}}
						{{form.input("Enter Total Number of Sections","sections","1","number")}}
						<button class="btn btn-primary fr">Add Sections</button>
					</div>
				</div>
			</form>

		{% else %}
			<form method="post">
				<table class='table tbl-responsive'>

					<tr>
						<th>#</th>
						<th style='text-align:center'>Section Name</th>
						<th style='text-align:center'>Qno(Start)</th>
						<th style='text-align:center'>Qno(End)</th>
						<th style='text-align:center'>Passing marks</th>
						<th style='text-align:center'>Total marks</th>
					</tr>
					{% for i in 1 .. subjective.section %}
						<tr>
							<td style='text-align:center;font-weight:600'>{{loop.index}}</td>
							<td><input class="form-control" name="sec{{i}}" type="text" value='{{sec[i]['name']}}'></td>
							<td><input class="form-control" name="st{{i}}" type="number" value='{{sec[i]['q'][0]}}'></td>
							<td><input class="form-control" name="en{{i}}" type="number" value='{{sec[i]['q'][1]}}'></td>
							<td><input class="form-control" name="pass{{i}}" type="number" value='{{sec[i]['marks'][0]}}'></td>
							<td><input class="form-control" name="tot{{i}}" type="number" value='{{sec[i]['marks'][1]}}'></td>
						</tr>
					{% endfor %}
					<tr>
						<td colspan="6">
							{{form.hidden("page","subjective")}}
							{{form.hidden("action","add-mark-schemet-subjective")}}
							{{form.hidden("category",qpinfo[0])}}
							{{form.hidden("subject",qpinfo[2])}}
							{{form.hidden("title",qpinfo[3])}}
							{{form.hidden("type",qpinfo[4])}}

							<button class="btn btn-primary fr">Save</button>
						</td>
					</tr>
				</table>
			</form>
		{% endif %}
	{% endif %}
	{% if page=="objective" %}
		<h2>Objective</h2>
		<hr>
		{% if objective.section =="" %}
			<form method="post">
				<div class="row">
					<div class="form-group col-md-12">
						{{form.hidden("page","objective")}}
						{{form.input("Enter Total Number of Sections","sections","1","number")}}
						<button class="btn btn-primary fr">Add Sections</button>
					</div>
				</div>
			</form>
		{% else %}
			<form method="post">
				<table class='table tbl-responsive'>

					<tr>
          <th>#</th>
						<th style='text-align:center'>Section Name</th>
						<th style='text-align:center'>Qno(Start)</th>
						<th style='text-align:center'>Qno(End)</th>
						<th style='text-align:center'>Passing marks</th>
						<th style='text-align:center'>Total marks</th>
					</tr>
					{% for i in 1 .. objective.section %}
						<tr>
            <td style='text-align:center;font-weight:600'>{{loop.index}}</td>
							<td><input class="form-control" name="sec{{i}}" type="text" value='{{sec[i]['name']}}'></td>
							<td><input class="form-control" name="st{{i}}" type="number" value='{{sec[i]['q'][0]}}'></td>
							<td><input class="form-control" name="en{{i}}" type="number" value='{{sec[i]['q'][1]}}'></td>
							<td><input class="form-control" name="pass{{i}}" type="number" value='{{sec[i]['marks'][0]}}'></td>
							<td><input class="form-control" name="tot{{i}}" type="number" value='{{sec[i]['marks'][1]}}'></td>
						</tr>
					{% endfor %}
					<tr>
						<td colspan="5">
							{{form.hidden("page","objective")}}
							{{form.hidden("action","add-mark-scheme-objective")}}
							{{form.hidden("category",qpinfo[0])}}
							{{form.hidden("subject",qpinfo[2])}}
							{{form.hidden("title",qpinfo[3])}}
							{{form.hidden("type",qpinfo[4])}}

							<button class="btn btn-primary fr">Save</button>
						</td>
					</tr>
				</table>
			</form>
		{% endif %}
	{% endif %}

</div>
